Skip to content

Shooting Types Endpoints

Shooting Types API endpoints.


Overview

Method Endpoint Description
GET /api/v1/shooting-types List Shooting Types

API Reference

Sartiq Backend Server - Shooting Types 0.1.0

shooting-types


GET /api/v1/shooting-types

List Shooting Types

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No

Responses

[
    {
        "id": "0579f9a7-f75f-4cf4-a8d4-4460ebc3b8df",
        "key": "string",
        "label": "string",
        "description": null,
        "archived": true
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "items": {
        "$ref": "#/components/schemas/ShootingTypePublic"
    },
    "type": "array",
    "title": "Response List Shooting Types"
}

Schemas

ShootingTypePublic

Name Type Description
archived boolean
description
id string(uuid)
key string
label string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2